package com.xfactorstudio.ahawasi;

import java.util.Vector;
/*
 * ClientList.java
 *
 *
 * Copyright (C) 2001 Neeld Tanksley
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
 
/**
 * The object that stores the client threads
 *
 * @author Neeld Tanksley
 * @version .91
 */

public class ClientList extends Vector{

  public ClientList() {
  }

/**
 * Return a String XML Representation of the current clients
 */
  public String toXML(){
   	String tmpClients = "";
	tmpClients += "<clients>";
        for (int i=0;i<this.size();i++){
	  ClientThread foo = (ClientThread)this.get(i);
	  tmpClients += "<client username=\"" + foo.getUserName() + "\" userid=\"" + foo.getUserId() + "\" />";
	}
	tmpClients += "</clients>";
	return tmpClients;
  }

}