package com.xfactorstudio.ahawasi;

import java.io.*;
import java.util.*;
/*
 * GenericMessageHandler.java
 *
 *
 * Copyright (C) 2001 Neeld Tanksley
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
 

/**
 *
 *
 * The base class that all MessageHandlers extend
 *
 * @author Neeld Tanksley
 * @version .91
 */

public class GenericMessageHandler implements MessageHandler{
  ClientThread client;
  SocketService service;
  Ahawasi server;
  public Request request;
  public Response response;

  public GenericMessageHandler() {
  }
  public void setResponse(Response response){
   this.response = response;
  }
  public void setRequest(Request request){
   this.request = request;
  }
  public void onConnect(){
  }
  public void onDisconnect(){
  }
  public void onMessage(String message){
  }

}