package com.xfactorstudio.ahawasi;

import java.util.Vector;

/*
 * ServiceList.java
 *
 *
 * Copyright (C) 2001 Neeld Tanksley
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
 

/**
 *
 *
 * The object that stores a list of services
 *
 * @author Neeld Tanksley
 * @version .91
 */

public class ServiceList extends Vector {

  public ServiceList() {
  }
/**
 * Returns a string XML representation of the service list
 */

	public String toXML(){
		String tmpXML;
		tmpXML = "<services>";
		for (int i=0;i<this.size();i++){
			SocketService serviceFoo = (SocketService)this.get(i);
			tmpXML += serviceFoo.toXML();
		}
		tmpXML += "</services>";
		return tmpXML;
	}
  
	/**	
	* Returns a string XML representation of the service list including active clients
	*/
	public String toXMLDetailed(){
		String tmpXML;
		tmpXML = "<services>";
		for (int i=0;i<this.size();i++){
			SocketService serviceFoo = (SocketService)this.get(i);
			tmpXML += serviceFoo.toXMLDetailed();
		}
		tmpXML += "</services>";
		return tmpXML;
	}
}